/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.exporter;

import java.util.Set;

import it.eng.spago4q.metadata.S4qEScript;

import com.thoughtworks.xstream.XStream;

public class ScriptExporter extends AbstractExporter{
	
	public String exportScript(final S4qEScript script){
		return getXStream().toXML(script);
	}

	public String exportScriptSet(final Set<S4qEScript> scriptSet){
		return getXStream().toXML(scriptSet);
	}

	public S4qEScript importScript(final String xml){
		return (S4qEScript)getXStream().fromXML(xml);
	}

	public Set<S4qEScript> importScriptSet(final String xml){
		return (Set<S4qEScript>)getXStream().fromXML(xml);
	}

	@Override
	public void setUp(final XStream xstreamPar) {
		xstreamPar.alias("script", S4qEScript.class);
		
		xstreamPar.omitField(S4qEScript.class, "idScript");
		xstreamPar.omitField(S4qEScript.class, "s4qEOperationFields");		

	}

}
