/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.filter;

import it.eng.spago4q.extractors.bo.InterfaceFieldInstance;
import it.eng.spago4q.extractors.bo.InterfaceItem;

import java.util.HashMap;
import java.util.Set;

public class DefaultFilter implements FilterInterface {

	String message = null;

	public String getMessage() {
		return message;
	}

	public boolean validate(InterfaceItem interfaceItem) {
		boolean toReturn = true;
		HashMap<String, InterfaceFieldInstance> data = interfaceItem
				.getHashMap();
		Set<String> keys = data.keySet();
		for (String columnName : keys) {
			InterfaceFieldInstance instance = data.get(columnName);
			if (instance != null && instance.isKey()
					&& instance.getValue() == null) {
				toReturn = false;
				message = "Key column " + columnName + " is null";
				break;
			}
		}
		return toReturn;
	}

}
