/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.extractors.filter;

import it.eng.spago4q.bo.EOperation;

import org.apache.log4j.Logger;

public class FilterFactory {

	private FilterFactory() {
	}

	private static Logger logger = Logger.getLogger(FilterFactory.class);

	public static FilterInterface create(final EOperation operation) {
		FilterInterface filter = null;
		if (operation != null && operation.getInterfaceType() != null
				&& operation.getInterfaceType().getFilterClass() != null) {
			String filterClassName = operation.getInterfaceType()
					.getFilterClass();

			try {
				filter = (FilterInterface) Class.forName(filterClassName)
						.newInstance();

			} catch (InstantiationException e) {
				logger.error(
						"Error while Instantiate class " + filterClassName, e);
				// throw new EMFUserError(EMFErrorSeverity.ERROR, 101);
			} catch (IllegalAccessException e) {
				logger.error(
						"Error while Instantiate class " + filterClassName, e);
				// throw new EMFUserError(EMFErrorSeverity.ERROR, 101);
			} catch (ClassNotFoundException e) {
				logger.error(
						"Error while Instantiate class " + filterClassName, e);
				// throw new EMFUserError(EMFErrorSeverity.ERROR, 101);
			}

		}
		return filter;
	}
}
