/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.exporter;

import java.io.File;
import java.util.HashSet;


import it.eng.spago4q.testUtils.AbstractDBTestCase;

public class ExporterCoordinatorImplTest extends AbstractDBTestCase {

	private static final String FLAT_FILE = "test/flatFile/s4qFlatFile.xml";
	private static final String OPERATION_URL = "test/operationUrl";
	private static final String DATASOURCE_URL = "test/dataSourceUrl";
	private static final String ITERFACETYPE_URL = "test/interfaceTypeUrl";
	private static final String SCRIPT_URL = "test/scriptUrl";
	public ExporterCoordinatorImplTest(final String value) {
		super(value);
	}

	@Override
	protected String getFlatFile() {
		return FLAT_FILE;
	}
	

	public void testExportDataSource() {
		ExporterCoordinatorImpl exporterCoordinator = new ExporterCoordinatorImpl();
		HashSet<Integer> ids = new HashSet<Integer>();
		ids.add(2);
		exporterCoordinator
				.exportOperation(ids, OPERATION_URL,
						DATASOURCE_URL, ITERFACETYPE_URL,
						SCRIPT_URL);
		if (!new File("test/operationUrl").exists()){
			fail();
		}
		if (!new File(DATASOURCE_URL).exists()){
			fail();
		}
		if (!new File(ITERFACETYPE_URL).exists()){
			fail();
		}
		if (!new File(SCRIPT_URL).exists()){
			fail();
		}
	}
	
	@Override
	protected void tearDown() throws Exception {
		new File(OPERATION_URL).delete();
		new File(DATASOURCE_URL).delete();
		new File(ITERFACETYPE_URL).delete();
		new File(SCRIPT_URL).delete();
	}

}
