/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.testUtils;

import java.io.FileOutputStream;
import java.sql.Connection;
import java.sql.DriverManager;

import org.dbunit.database.DatabaseConfig;
import org.dbunit.database.DatabaseConnection;
import org.dbunit.database.IDatabaseConnection;
import org.dbunit.database.search.TablesDependencyHelper;
import org.dbunit.dataset.IDataSet;
import org.dbunit.dataset.xml.FlatXmlDataSet;
import org.dbunit.ext.mysql.MySqlDataTypeFactory;

public final class DatabaseExport {

	private DatabaseExport() {
	}

	public static final void main(final String[] args) throws Exception {
		// database connection
		Class driverClass = Class.forName("com.mysql.jdbc.Driver");
		Connection jdbcConnection = DriverManager.getConnection(
				"jdbc:mysql://localhost:3306/s4q-qualipso", "s4q-qualipso", "s4q-qualipso");
		IDatabaseConnection connection = new DatabaseConnection(jdbcConnection);
		DatabaseConfig config = connection.getConfig();
		config.setProperty(DatabaseConfig.PROPERTY_DATATYPE_FACTORY,
				new MySqlDataTypeFactory());

		// dependent tables database export: export table X and all tables that
		// have a PK which is a FK on X, in the right order for insertion
//		 String[] depTableNames =
//		 TablesDependencyHelper.getAllDependentTables(
//		 connection, "s4q_e_script");
		String[] depTableNames = {"S4Q_E_INTERFACE_TYPE",
				"S4Q_E_INTERFACE_FIELD",
				"S4Q_E_SOURCE_TYPE",
				"S4Q_E_DATA_SOURCE",
				"S4Q_E_PROCESS",
				"S4Q_E_OPERATION",
				"S4Q_E_SCRIPT",
				"S4Q_E_OPERATION_PARAMETER",
				"S4Q_E_OPERATION_FIELD"};

		IDataSet depDataset = connection.createDataSet(depTableNames);
		FlatXmlDataSet.write(depDataset, new FileOutputStream(
				"test/s4qFlatFile200.xml"));
	}
}
